curl --request GET \
--url https://api.quedup.dev/jobs/{id}/run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quedup.dev/jobs/{id}/run"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quedup.dev/jobs/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quedup.dev/jobs/{id}/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quedup.dev/jobs/{id}/run"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quedup.dev/jobs/{id}/run")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quedup.dev/jobs/{id}/run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"attempt": 1,
"target_run_at": "2026-03-09T00:00:00.000Z",
"run_at": "2026-03-09T00:00:02.104Z",
"completed_at": "2026-03-09T00:00:02.481Z",
"duration_ms": 377,
"status": "success",
"response_status_code": 200,
"response_headers": {
"content-type": "application/json; charset=utf-8",
"x-request-id": "req_1234567890"
},
"response_body": "{\"ok\":true}"
}
],
"has_more": false,
"next_cursor": null
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}List Job Runs
Returns execution history for a job using keyset pagination, including response details for each run.
curl --request GET \
--url https://api.quedup.dev/jobs/{id}/run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quedup.dev/jobs/{id}/run"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quedup.dev/jobs/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quedup.dev/jobs/{id}/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quedup.dev/jobs/{id}/run"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quedup.dev/jobs/{id}/run")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quedup.dev/jobs/{id}/run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"attempt": 1,
"target_run_at": "2026-03-09T00:00:00.000Z",
"run_at": "2026-03-09T00:00:02.104Z",
"completed_at": "2026-03-09T00:00:02.481Z",
"duration_ms": 377,
"status": "success",
"response_status_code": 200,
"response_headers": {
"content-type": "application/json; charset=utf-8",
"x-request-id": "req_1234567890"
},
"response_body": "{\"ok\":true}"
}
],
"has_more": false,
"next_cursor": null
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}{
"error": "invalid_request",
"message": "url must be a valid http(s) URL",
"field": "url"
}Authorizations
Provide your QuedUp API key in the Authorization header as Bearer <api_key>.
Path Parameters
Unique identifier of the job.
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Opaque pagination cursor returned from a previous list response.
"eyJjcmVhdGVkX2F0IjoiMjAyNi0wMy0wOVQwMDowMDowMi40ODFaIiwiaWQiOiI2NjBlODQwMC1lMjliLTQxZDQtYTcxNi00NDY2NTU0NDAwMDEifQ"
Response
Paginated list of recorded runs for a job.
Execution attempts returned for the current page.
Show child attributes
Show child attributes
[
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"attempt": 1,
"target_run_at": "2026-03-09T00:00:00.000Z",
"run_at": "2026-03-09T00:00:02.104Z",
"completed_at": "2026-03-09T00:00:02.481Z",
"duration_ms": 377,
"status": "success",
"response_status_code": 200,
"response_headers": {
"content-type": "application/json; charset=utf-8",
"x-request-id": "req_1234567890"
},
"response_body": "{\"ok\":true}"
}
]
Whether another page of results is available.
false
Opaque cursor to request the next page of results.
"eyJjcmVhdGVkX2F0IjoiMjAyNi0wMy0wOVQwMDowMDowMi40ODFaIiwiaWQiOiI2NjBlODQwMC1lMjliLTQxZDQtYTcxNi00NDY2NTU0NDAwMDEifQ"
Was this page helpful?